<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Category;
use App\Models\Post;
use Toastr;

class BlogController extends Controller
{

   public function blog(Request $request)
   {
      $posts = Post::latest()->approved()->published()->paginate(6);
      $categories = Category::all();
      $this->vider_session($request);
      $postsTrending = Post::where('type_post', 'TRENDING')->get(); 
      $postsLatest = Post::where('type_post', 'LATEST')->paginate(5); 
      $postsFeatured = Post::where('type_post', 'FEATURED')->get(); 


      return view('frontend.pages.blog.index', compact('posts','postsTrending','postsLatest','postsFeatured','categories'));
   }




   public function categorieBlog(Request $request, $categorie_id, $slug)
   {
      $posts = Category::findOrFail($categorie_id)->posts()->paginate(4);
      $categories = Category::all();

      $this->vider_session($request);


      return view('frontend.pages.blog.index', compact('posts','categories'));
   }

   public function postByCategory($slug)
   {
      //  $category = CategoriePost::where('slug',$slug)->first();
      //  $posts = $category->posts()->get();

       $category = Category::where('slug',$slug)->first();
       $posts = $category->posts()->approved()->published()->get();
      //  $posts = $category->posts()->get();
      $categories = Category::all();
       
       return view('frontend.pages.blog.category',compact('category','posts','categories'));
   }








   public function search(Request $request)
   {
      // if ($request->keywords != "") {
      //    $posts = Post::where('title', 'like', '%' . $request->keywords . '%')
      //       ->orWhere('description', 'like', '%' . $request->keywords . '%')
      //       ->paginate(100);
      //    $request->session()->put('search', $request->keywords);

      //    return view('frontend.blog.index', compact('posts'));
      // } else {
      //    return redirect()->route('blog');
      // }
          $query = $request->input('query');
          $posts = Post::where('title','LIKE',"%$query%")->approved()->published()->get();
          return view('frontend.pages.blog.search',compact('posts','query'));
   }


   public function vider_session($request)
   {
      $request->session()->put('search', '');
   }




 
   public function showBlog( $slug)
   {
      $categories = Category::all();
      // $post = Post::findOrFail($blog_id);
      $post = Post::where([ 'slug' => $slug ])->firstOrFail();;
      
      $postsFeatured = Post::where('type_post', 'FEATURED')->get(); 
      $postsLatest = Post::where('type_post', 'LATEST')->paginate(5); 

      return view('frontend.pages.blog.single', compact('post','categories','postsFeatured','postsLatest'));
   }



}
