<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use App\Models\Service;
use App\Models\Formation;
use App\Models\Message;


class HomeController extends Controller
{
    
    public function showService( $slug)
    {
        $service = Service::where([ 'slug' => $slug ])->firstOrFail();
        return view('frontend.pages.services.single', compact('service'));
    }

    public function showFormation( $slug)
    {
        $formation = Formation::where([ 'slug' => $slug ])->firstOrFail();
        return view('frontend.pages.formations.single', compact('formation'));
    }

    public function messageContact(Request $request)
    {
        $request->validate([
            'name'      => 'required',
            'email'     => 'required',
            'body'   => 'required'
        ]);

        $message  = $request->message;
        $mailfrom = $request->email;
        $message = new Message();
        $message->name  = $request->name;
        $message->email  = $request->email;
        $message->phone  = $request->phone;
        $message->subject  = $request->subject;
        $message->body  = $request->body;
        $message->save();

        return redirect()->back()->with('message', __('The action ran successfully!') );

    }

    public function getSubscribe(Request $request)
    {  
        $request->validate([
            'email'     => 'required|email',
        ]);

        $sub = new Subscribe();
        $sub->email  = $request->email;
        $sub->save();

        return Response()->json(['success' => 'Merci pour votre inscription. A bientôt 😃']);
    }

}
