<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $hidden = [
        'pivot'
    ];

    public function posts()
    {
        return $this->morphedByMany(Post::class, 'categorizable');
    }

    public function childs()
    {
    	return $this->hasMany(CategoriePost::class, 'parent_id');
    }

    public function parent()
    {
    	return $this->belongsTo(CategoriePost::class, 'parent_id');
    }
}
