<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    use HasFactory;
    protected $guarded = [];

   

    public function admin(){
        return $this->belongsTo('App\Models\Admin');
    }

    public function scopeApproved($query)
    {
        return $query->where('is_approved', 1);
    }
    public function scopePublished($query)
    {
        return $query->where('status', 1);
    }

    public function getNextAttribute(){
        return static::where('id', '>', $this->id)->orderBy('id','asc')->first();
    }
 
    public  function getPreviousAttribute(){
        return static::where('id', '<', $this->id)->orderBy('id','desc')->first();
    }

    public function categories()
    {
        return $this->morphToMany(Category::class , 'categorizable');
    }

    public function categoriesListId()
    {
        $categories = $this->categories;
        $categoriesList = [];
        foreach ($categories as $category) {
            array_push( $categoriesList , $category->id );
        }
        return $categoriesList;
    }
    


}
