<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use Illuminate\Support\Str;


use App\Models\Setting;
use App\Models\Banner;
use App\Models\Service;
use App\Models\Partner;
use App\Models\Formation;
use App\Models\Post;
use App\Models\Category;



class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //


        if (!$this->app->runningInConsole()) {

         
            view()->composer('frontend.*', function($view) {
                // $view->with('categoriePosts',Partner::latest()->get());
                $view->with('categoriePosts',Category::latest()->get());
                $view->with('banners',Banner::latest()->get());
                $view->with('services',Service::get());
                $view->with('formations',Formation::get());
                $view->with('partners',Partner::get());
                $view->with('postss',Post::latest()->get());
                $view->with('settings',Setting::first());
             });
        }


        Str::macro('currency', function ($price,$currency = "MAD" ){
            return number_format($price, 2 , '.', ' '). ' '.$currency;
        });

        Str::macro('number', function ($value){
            return number_format($value);
        });
    }
}
