<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePostsTable extends Migration
{
   


    public function up()
    {
        Schema::create('posts', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('admin_id')->unsigned();
            $table->string('title');
            $table->string('slug')->unique();
            $table->string('image')->default('default.png');
            $table->text('description')->nullable();
            $table->integer('view_count')->default(0);
            $table->boolean('status')->default(true);
            $table->boolean('is_approved')->default(false);
            // $table->foreign('admin_id')->references('id')->on('admins')->onDelete('no action');
            $table->string('meta_title')->nullable();
            $table->string('meta_keywords')->nullable();
            $table->string('meta_description')->nullable();
            $table->string('meta_image')->nullable();
            $table->enum('type_post',[ 'NORMAL' , 'LATEST' ])->default( 'NORMAL' )->nullable();
            $table->timestamps();
        });
    }

   

   
    public function down()
    {
        Schema::dropIfExists('posts');
    }
}
