import "bootstrap/js/dist/base-component";

!(function ($) {
  "use strict";

  const menu = document.querySelector(".menu");
  const menuSection = menu.querySelector(".menu-section");
  const menuArrow = menu.querySelector(".menu-mobile-arrow");
  const menuClosed = menu.querySelector(".menu-mobile-close");
  const menuTrigger = document.querySelector(".menu-mobile-trigger");
  const menuOverlay = document.querySelector(".overlay--menu");
  let subMenu;

  menuSection.addEventListener("click", (e) => {
    if (!menu.classList.contains("active")) {
      return;
    }
    if (e.target.closest(".menu-item-has-children")) {
      const hasChildren = e.target.closest(".menu-item-has-children");
      showSubMenu(hasChildren);
    }
  });

  menuArrow.addEventListener("click", () => {
    hideSubMenu();
  });

  menuTrigger.addEventListener("click", () => {
    toggleMenu();
  });

  menuClosed.addEventListener("click", () => {
    toggleMenu();
  });

  menuOverlay.addEventListener("click", () => {
    toggleMenu();
  });

  // Show & Hide Toggle Menu Function
  function toggleMenu() {
    menu.classList.toggle("active");
    menuOverlay.classList.toggle("active");
  }

  // Show the Mobile Side Menu Function
  function showSubMenu(hasChildren) {
    subMenu = hasChildren.querySelector(".menu-subs");
    subMenu.classList.add("active");
    subMenu.style.animation = "slideLeft 0.5s ease forwards";
    const menuTitle =
      hasChildren.querySelector("i").parentNode.childNodes[0].textContent;
    menu.querySelector(".menu-mobile-title").innerHTML = menuTitle;
    menu.querySelector(".menu-mobile-header").classList.add("active");
  }

  // Hide the Mobile Side Menu Function
  function hideSubMenu() {
    subMenu.style.animation = "slideRight 0.5s ease forwards";
    setTimeout(() => {
      subMenu.classList.remove("active");
    }, 300);

    menu.querySelector(".menu-mobile-title").innerHTML = "";
    menu.querySelector(".menu-mobile-header").classList.remove("active");
  }

  // Windows Screen Resizes Function
  window.onresize = function () {
    if (this.innerWidth > 991) {
      if (menu.classList.contains("active")) {
        toggleMenu();
      }
    }
  };

  // ------------------------------------------------
})(jQuery);

// Windows Screen Resizes Function
window.onresize = function () {
  if (this.innerWidth > 991) {
    if (menu.classList.contains("active")) {
      toggleMenu();
    }
  }
};





// Instagram
async function getArts() {
  var url = "https://v1.nocodeapi.com/sunnyvibes/instagram/bnhhevGyROlbMyVz";
  try {
    var res = await fetch(url);
    return await res.json();
  } catch (error) {
    console.log(error);
  }
}

async function renderArts() {
  var arts = await getArts();
  var html = "";
  arts.data.slice(0,12).forEach((art) => {
    let htmlSegment = `

            <div class="instagram__area--item" 
            onclick="window.open(
              '${art.permalink}',
              '_blank'
            );
            "
            >
              <img src="${art.media_url}" class="instagram__area--item--image"  >
              <div  class="instagram__area--item--overlay" >
                <svg xmlns="http://www.w3.org/2000/svg" width="77.717" height="77.716" viewBox="0 0 77.717 77.716">
                    <path id="_1586498991574330934" data-name="1586498991574330934" d="M39.858,2V77.717M2,39.858H77.717" transform="translate(-1 -1)" fill="none" stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                </svg>
              </div>
            </div>
        `;
    html += htmlSegment;
  });

  var container = document.querySelector(".instagramHere");
  container.innerHTML = html;
}

renderArts();

