<!DOCTYPE html>
<html lang="fr">

    <head>
        <meta charset="utf-8">
        <link href="dist/images/logo.svg" rel="shortcut icon">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title> {{ config('app.name') }} Admin - @yield('title') </title>

        <link rel="stylesheet" href="/admin/dist/css/app.css" />
        @yield('css')
    </head>
{{-- @if( Auth::user()->is_super ) bg-blue-800 @else bg-blue-800 @endif  --}}
    <body class="app ">
        @php
            $routes = [
                [ "name" => __('Dashboard') , "route" => route('admin.dashboard')      , "icon" => '<i data-feather="home"></i>'            , "active" => (\Request::route()->getName() == 'admin.dashboard') ],
                [ "name" => __('Orders')    , "route" => route('admin.order.pending')    , "icon" => '<i data-feather="shopping-cart"></i>'   , "active" => str_contains(\Request::route()->getName() , 'admin.order') ],
                [ "name" => __('Result')    , "route" => route('admin.result')    , "icon" => '<i data-feather="shopping-cart"></i>'   , "active" => str_contains(\Request::route()->getName() , 'admin.result') ],
                // [ "name" => __('Chat')      , "route" => route('admin.conversation.index')  , "icon" => '<i data-feather="message-circle"></i>' , "active" => str_contains(\Request::route()->getName() , 'admin.conversation') ],
                [ "name" => __('Message')   , "route" => route('admin.message.index')  , "icon" => '<i data-feather="inbox"></i>'           , "active" => str_contains(\Request::route()->getName() , 'admin.message') ],
                // [ "name" => __('Offers')    , "route" => route('admin.offer.index')    , "icon" => '<i data-feather="gift"></i>'            , "active" => str_contains(\Request::route()->getName() , 'admin.offer') ],
                [ "name" => __('Banners') , "route" => route('admin.banner.index')      , "icon" => '<i data-feather="photo"></i>'            , "active" => (\Request::route()->getName() == 'admin.banner.index') ],

                [ "name" => __('Exam') , "route" => route('admin.exam.index')      , "icon" => '<i data-feather="layers"></i>'            , "active" => str_contains(\Request::route()->getName() , 'admin.exam') ],            
            ];
            if( Auth::user()->is_super ){
                $routesSuper = [
                    [ "name" => __('Users')      , "route" => route('admin.user.index')     , "icon" => '<i data-feather="users"></i>'           , "active" => str_contains(\Request::route()->getName() , 'admin.user') ],
                    [ "name" => __('Admins')     , "route" => route('admin.admin.index')    , "icon" => '<i data-feather="gitlab"></i>'          , "active" => str_contains(\Request::route()->getName() , 'admin.admin') ],
                    [ "name" => __('Settings')  , "route" => route('admin.settings')       , "icon" => '<i data-feather="settings"></i>'        , "active" => str_contains(\Request::route()->getName() , 'admin.settings') ],
                ];
                $routes = array_merge($routes, $routesSuper );
            }

        @endphp
        <!-- Mobile Menu -->
        <div class="mobile-menu md:hidden">
            <div class="mobile-menu-bar">
                <a href="{{ route('home') }}" target="_black" class="flex mr-auto">
                    <img alt="" class="w-6" src="{{ asset('admin/dist/images/logo.svg') }}">
                </a>
                <a href="javascript:;" id="mobile-menu-toggler"> <i data-feather="bar-chart-2" class="w-8 h-8 text-white transform -rotate-90"></i> </a>
            </div>
            <ul class="border-t border-theme-24 py-5 hidden">
                @foreach ($routes as $item)
                    <li>
                        <a href="{{ $item["route"] }}" class="menu @if( $item['active'] ) menu--active @endif ">
                            <div class="menu__icon"> {!! $item['icon'] !!} </div>
                            <div class="menu__title"> {{ $item['name'] }} </div>
                        </a>
                    </li>
                @endforeach
            </ul>
        </div>

        <div class="flex">
            <!-- Side Menu -->
            <nav class="side-nav">
                <a href="{{ route('home') }}" target="_black" class="intro-x flex items-center pl-5 pt-4">
                    <img alt="Academie Allemande" class="w-6" src="{{ asset('admin/dist/images/logo.svg') }}">
                    <span class="hidden xl:block text-white text-lg ml-3"> Academie Allemande </span>
                </a>
                <div class="side-nav__devider my-6"></div>
                <ul>
                    @foreach ($routes as $item)
                        <li class="">
                            <a href="{{ $item['route'] }}" class="side-menu @if( $item['active'] ) side-menu--active @endif  ">
                                <div class="side-menu__icon"> {!! $item['icon'] !!} </div>
                                <div class="side-menu__title"> {{ $item['name'] }} </div>
                            </a>
                        </li>
                    @endforeach
                </ul>
            </nav>

            <!-- Content -->
            <div class="content">
                <!-- Top Bar -->
                <div class="top-bar">
                    <!-- Breadcrumb -->
                    <div class="-intro-x breadcrumb mr-auto hidden sm:flex">
                        <h3> @yield('title') </h3>
                    </div>

                    

                    <!-- Account Menu -->
                    <div class="intro-x dropdown w-8 h-8 relative">
                        <div class="dropdown-toggle w-8 h-8 rounded-full overflow-hidden shadow-lg image-fit zoom-in">
                            <img alt="Midone Tailwind HTML Admin Template" src="{{ asset('admin/dist/images/user.jpg') }}">
                        </div>
                        <div class="dropdown-box mt-10 absolute w-56 top-0 right-0 z-20">
                            <div class="dropdown-box__content box bg-theme-38 text-white">
                                <div class="p-4 border-b border-theme-40">
                                    <div class="font-medium"> {{ Auth::user()->name }} </div>
                                </div>
                                <div class="p-2">
                                    <a href="{{ route('admin.admin.edit',Auth::user()->id) }}" class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 rounded-md"> <i data-feather="edit" class="w-4 h-4 mr-2"></i> Modifier le compte </a>
                                </div>
                                <div class="p-2 border-t border-theme-40">
                                    <a class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 rounded-md"
                                        href="{{ route('admin.logout') }}"
                                        onclick="event.preventDefault();
                                        document.getElementById('logout-form').submit();"
                                        > <i data-feather="toggle-right" class="w-4 h-4 mr-2"></i> {{ __('Logout') }} </a>
                                </div>
                                <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                {{-- <div> --}}
                    @yield('content')
                {{-- </div> --}}
                <div class="intro-y datatable-wrapper box p-5 mt-5">
                    <table class="table table-report table-report--bordered display datatable w-full">
                        <thead>
                            <tr>
                                <th class="border-b-2 whitespace-no-wrap">PRODUCT NAME</th>
                                <th class="border-b-2 text-center whitespace-no-wrap">IMAGES</th>
                                <th class="border-b-2 text-center whitespace-no-wrap">REMAINING STOCK</th>
                                <th class="border-b-2 text-center whitespace-no-wrap">STATUS</th>
                                <th class="border-b-2 text-center whitespace-no-wrap">ACTIONS</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Oppo Find X2 Pro</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Oppo Find X2 Pro</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-9.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-10.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">98</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Sony A7 III</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Sony A7 III</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-2.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-3.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-14.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">129</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Samsung Q90 QLED TV</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Samsung Q90 QLED TV</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-9.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-10.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">50</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-6"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Inactive </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Sony Master Series A9G</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Sony Master Series A9G</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-7.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-6.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">120</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Nikon Z6</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Nikon Z6</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-8.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-9.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-9.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">50</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Samsung Galaxy S20 Ultra</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Samsung Galaxy S20 Ultra</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-12.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-11.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-6.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">88</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-6"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Inactive </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Nike Air Max 270</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Nike Air Max 270</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-7.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-8.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-3.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">77</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Nike Air Max 270</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Nike Air Max 270</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-3.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-3.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-1.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">75</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Sony Master Series A9G</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Sony Master Series A9G</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-7.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-2.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">50</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-9"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Active </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">Nike Tanjun</div>
                                    <div class="text-gray-600 text-xs whitespace-no-wrap">Nike Tanjun</div>
                                </td>
                                <td class="text-center border-b">
                                    <div class="flex sm:justify-center">
                                        <div class="intro-x w-10 h-10 image-fit">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-10.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                        <div class="intro-x w-10 h-10 image-fit -ml-5">
                                            <img alt="Midone Tailwind HTML Admin Template" class="rounded-full" src="dist/images/preview-5.jpg">
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center border-b">129</td>
                                <td class="w-40 border-b">
                                    <div class="flex items-center sm:justify-center text-theme-6"> <i data-feather="check-square" class="w-4 h-4 mr-2"></i> Inactive </div>
                                </td>
                                <td class="border-b w-5">
                                    <div class="flex sm:justify-center items-center">
                          
                                        <a class="flex items-center mr-3" href=""> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> Edit </a>
                                        <a class="flex items-center text-theme-6" href=""> <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> Delete </a>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!-- JS Assets-->
        <script src="https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/markerclusterer.js"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=["your-google-map-api"]&libraries=places"></script>
        <script src="/admin/dist/js/app.js"></script>
        {{-- @yield('javascript') --}}
    </body>
</html>
