<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <link href="dist/images/logo.svg" rel="shortcut icon">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title> {{ config('app.name') }} Admin - @yield('title') </title>

    <link rel="stylesheet" href="/admin/dist/css/app.css" />
    @yield('css')

</head>
{{-- @if (Auth::user()->is_super) bg-blue-800 @else bg-blue-800 @endif  --}}

<body class="app">
    <!-- Mobile Menu -->
    <div class="mobile-menu md:hidden">
        <div class="mobile-menu-bar">
            <a href="{{ route('home') }}" target="_black" class="flex mr-auto">
                <img alt="" class="w-6" src="{{ asset('/assets/images/favicon.svg') }}">
            </a>
            <a href="javascript:;" id="mobile-menu-toggler"> <i data-feather="bar-chart-2"
                    class="w-8 h-8 text-white transform -rotate-90"></i> </a>
        </div>
        <ul class="border-t border-theme-24 py-5 hidden">
            <li class="">
                <a href="{{ route('admin.dashboard') }}" class="menu   ">
                    <div class="menu__icon"> <i data-feather="home"></i> </div>
                    <div class="menu__title"> Dashboard </div>
                </a>
            </li>
            <li class="">
                <a href="{{ '' }}" class="menu   ">
                    <div class="menu__icon"> <i data-feather="shopping-cart"></i> </div>
                    <div class="menu__title"> Orders </div>
                </a>
            </li>

        </ul>
    </div>

    <div class="flex">
        <!-- Side Menu -->
        <nav class="side-nav ">
            <a href="{{ route('home') }}" target="_black" class="intro-x flex items-center pl-5 pt-4">
                <img alt="immo101" class="w-100" src="{{ asset('/assets/images/favicon.svg') }}">
            </a>
            <div class="side-nav__devider my-6"></div>
            <ul>
                <li class="">
                    <a href="{{ route('admin.dashboard') }}"
                        class="side-menu  {{ Request::is('panel/dashboard*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="home"></i> </div>
                        <div class="side-menu__title"> Dashboard </div>
                    </a>
                </li>


                <li class="">
                    <a href="{{ route('admin.services.index') }}"
                        class="side-menu  {{ Request::is('panel/services*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="hexagon"></i> </div>
                        <div class="side-menu__title"> Services </div>
                    </a>
                </li>

                <li class="">
                    <a href="{{ route('admin.formations.index') }}"
                        class="side-menu  {{ Request::is('panel/formations*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="hexagon"></i> </div>
                        <div class="side-menu__title"> Training </div>
                    </a>
                </li>

              



                <li class="">
                    <a href="{{ '' }}"
                        class="side-menu {{ Request::is('panel/order*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="hexagon"></i> </div>
                        <div class="side-menu__title"> Messages </div>
                    </a>
                </li>


                <li>
                    <a href="javascript:;" class="side-menu">
                        <div class="side-menu__icon"> <i data-feather="edit"></i> </div>
                        <div class="side-menu__title"> Blog <i data-feather="chevron-down"
                                class="side-menu__sub-icon"></i> </div>
                    </a>
                    <ul class="">
                        <li class="">
                            <a href="{{ route('admin.categoriePost.index') }}" class="side-menu   ">
                                <div class="side-menu__icon"> <i data-feather="activity"></i> </div>
                                <div class="side-menu__title">Categories</div>
                            </a>
                        </li>
                       
                        <li class="">
                            <a href="{{ route('admin.post.index') }}" class="side-menu   ">
                                <div class="side-menu__icon"> <i data-feather="activity"></i> </div>
                                <div class="side-menu__title"> Posts </div>
                            </a>
                        </li>
                        <li class="">
                            <a href="{{ route('admin.post.pending') }}" class="side-menu   ">
                                <div class="side-menu__icon"> <i data-feather="activity"></i> </div>
                                <div class="side-menu__title"> Pending </div>
                            </a>
                        </li>
                    </ul>
                </li>
                <li class="">
                    <a href="{{ route('admin.banner.index') }}" class="side-menu  {{ Request::is('panel/banner*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="image"></i> </div>
                        <div class="side-menu__title"> Banners </div>
                    </a>
                </li>

                <li class="">
                    <a href="{{ route('admin.settings') }}" class="side-menu  {{ Request::is('panel/settings*') ? 'side-menu--active' : '' }}">
                        <div class="side-menu__icon"> <i data-feather="settings"></i> </div>
                        <div class="side-menu__title"> Paramètres </div>
                    </a>
                </li>

                {{-- <li>
                    <a href="javascript:;" class="side-menu">
                        <div class="side-menu__icon"> <i data-feather="settings"></i> </div>
                        <div class="side-menu__title"> Site Web <i data-feather="chevron-down"
                                class="side-menu__sub-icon"></i> </div>
                    </a>
                    <ul class="">

                        <li class="">
                            <a href="{{ route('admin.banner.index') }}" class="side-menu   ">
                                <div class="side-menu__icon"> <i data-feather="image"></i> </div>
                                <div class="side-menu__title"> Banners </div>
                            </a>
                        </li>

                        <li class="">
                            <a href="{{ route('admin.settings') }}" class="side-menu   ">
                                <div class="side-menu__icon"> <i data-feather="settings"></i> </div>
                                <div class="side-menu__title"> Paramètres </div>
                            </a>
                        </li>
                    </ul>
                </li> --}}

                @if (Auth::user()->is_super)
                    <li class="">
                        <a href="{{ route('admin.admin.index') }}"
                            class="side-menu {{ Request::is('panel/admin*') ? 'side-menu--active' : '' }}">
                            <div class="side-menu__icon"> <i data-feather="gitlab"></i> </div>
                            <div class="side-menu__title"> Agents </div>
                        </a>
                    </li>
                @endif

            </ul>
        </nav>

        <!-- Content -->
        <div class="content">
            <!-- Top Bar -->
            <div class="top-bar">
                <!-- Breadcrumb -->
                <div class="-intro-x breadcrumb mr-auto hidden sm:flex">
                    <h3> @yield('title') </h3>
                </div>


                <!-- Account Menu -->
                <div class="intro-x dropdown w-8 h-8 relative">
                    <div class="dropdown-toggle w-8 h-8 rounded-full overflow-hidden shadow-lg image-fit zoom-in">
                        <img alt="Midone Tailwind HTML Admin Template" src="{{ asset('logo.png') }}">
                    </div>
                    <div class="dropdown-box mt-10 absolute w-56 top-0 right-0 z-20">
                        <div class="dropdown-box__content box bg-theme-38 text-white">
                            <div class="p-4 border-b border-theme-40">
                                <div class="font-medium"> {{ Auth::user()->name }} </div>
                            </div>
                            <div class="p-2">
                                <a href="{{ '' }}"
                                    class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 rounded-md">
                                    <i data-feather="edit" class="w-4 h-4 mr-2"></i> Modifier le compte </a>
                            </div>
                            <div class="p-2 border-t border-theme-40">
                                <a class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 rounded-md"
                                    href="{{ route('admin.logout') }}"
                                    onclick="event.preventDefault();
                                        document.getElementById('logout-form').submit();">
                                    <i data-feather="toggle-right" class="w-4 h-4 mr-2"></i> {{ __('Logout') }} </a>
                            </div>
                            <form id="logout-form" action="{{ route('admin.logout') }}" method="POST"
                                class="d-none">
                                @csrf
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            @yield('content')
        </div>
    </div>
    <!-- JS Assets-->
    <script src="https://use.fontawesome.com/releases/v5.15.3/js/all.js" data-auto-replace-svg="nest"></script>
    <script src="/admin/dist/js/app.js"></script>



    <script src="https://cdn.tiny.cloud/1/qagffr3pkuv17a8on1afax661irst1hbr4e6tbv888sz91jc/tinymce/6/tinymce.min.js" referrerpolicy="origin"></script>


    <script>
        var editor_config = {
            path_absolute: "/panel/",
            selector: 'textarea',
            relative_urls: false,
            plugins: [
        'a11ychecker','advlist','advcode','advtable','autolink','checklist','export',
       'lists','link','image','charmap','preview','anchor','searchreplace','visualblocks',
       'powerpaste','fullscreen','formatpainter','insertdatetime','media','table','help','wordcount'
     ],
            // plugins: 'a11ychecker advcode casechange export formatpainter image editimage linkchecker autolink lists checklist media mediaembed pageembed permanentpen powerpaste table advtable tableofcontents tinycomments tinymcespellchecker',
            toolbar: 'a11ycheck addcomment showcomments casechange checklist code export formatpainter image editimage pageembed permanentpen table tableofcontents undo redo | casechange blocks | bold italic backcolor | \
      alignleft aligncenter alignright alignjustify | \
      bullist numlist checklist outdent indent | removeformat | a11ycheck code table help',
            toolbar_mode: 'floating',
            tinycomments_mode: 'embedded',
            tinycomments_author: 'Author name',
            file_picker_callback: function(callback, value, meta) {
                var x = window.innerWidth || document.documentElement.clientWidth || document.getElementsByTagName(
                    'body')[0].clientWidth;
                var y = window.innerHeight || document.documentElement.clientHeight || document
                    .getElementsByTagName('body')[0].clientHeight;

                var cmsURL = '/panel/media?editor=' + meta.fieldname;
                if (meta.filetype == 'image') {
                    cmsURL = cmsURL + "&type=Images";
                } else {
                    cmsURL = cmsURL + "&type=Files";
                }

                tinyMCE.activeEditor.windowManager.openUrl({
                    url: cmsURL,
                    title: 'Filemanager',
                    width: x * 0.8,
                    height: y * 0.8,
                    resizable: "yes",
                    close_previous: "no",
                    onMessage: (api, message) => {
                        callback(message.content);
                    }
                });
            }
        };

        tinymce.init(editor_config);


      
    </script>



    @yield('javascript')
</body>

</html>
