@extends('admin.layouts.app')
@section('title', "Agents" )

@section('content')

@if ($errors->any())
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5 ">
        <form action="{{ route('admin.admin.update',$admin) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')

            <div class="mb-3 p-2">
                <label> Image </label>
                <input type="file" name="image" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> Name </label>
                <input type="text" name="name" value="{{ old('name') ?? $admin->name }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> Email </label>
                <input type="email" name="email" value="{{ old('email') ?? $admin->email }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> Phone </label>
                <input type="text" name="phone" value="{{ old('phone') ?? $admin->phone }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> Password </label>
                <input type="password" name="password" class="input w-full border mt-2">
            </div>
            

            <div class="grid grid-cols-12 ">
                <div class="col-span-6 md:col-span-3  mb-3 p-2">
                    @if( Auth::user()->is_super )
                    <div class="w-full sm:w-auto flex items-center sm:ml-auto mt-3 sm:mt-0">
                        <div class="mr-3"> {{ __("is super") }} </div>
                        <input class="show-code input input--switch border" name="is_super" type="checkbox" {{ $admin->is_super ? 'checked' : null  }}>
                    </div>
                    @endif
                </div>

                <div class="col-span-6 md:col-span-3  mb-3 p-2">
                    <div class="w-full sm:w-auto flex items-center sm:ml-auto mt-3 sm:mt-0">
                        <div class="mr-3"> {{ __("is active") }} </div>
                        <input class="show-code input input--switch border" name="is_active" type="checkbox" {{ $admin->is_active ? 'checked' : null  }} >
                    </div>
                </div>
            </div>

            <button type="submit" class="button bg-theme-1 text-white mt-5"> Sauvegarder </button>
        </form>
    </div>
</div>
@endsection
