@extends('admin.layouts.app')
@section('title', __('Messages') )

@section('content')

@if ($errors->any())
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if(session()->has('message'))
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-18 text-theme-9"> <i data-feather="alert-triangle" class="w-6 h-6 mr-2"></i> {{ session()->get('message') }} </div>
@endif


<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5">
        <div class="overflow-x-auto">
            <table class="table mb-2 mt-4 ">
                <thead>
                    <tr class="bg-gray-100 rounded">
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('Subject') }} </th>
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('User') }} </th>
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('Date') }} </th>
                        <th class="border-b-2 whitespace-no-wrap text-center"> {{ __('Action') }} </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($messages as $message)
                        <tr class=" {{ !$message->seen ? 'bg-green-100' : null }} hover:bg-gray-200">
                            <td class="border-b">
                                <div class="font-medium whitespace-no-wrap"> {{ $message->subject }} </div>
                            </td>
                            <td class="border-b">
                                <ul>
                                    <li class="flex"><i data-feather="user" class="mr-2"></i><b> {{ $message->name }} </b></li>
                                    <li class="flex"><i data-feather="mail" class="mr-2"></i><b> {{ $message->email }} </b></li>
                                    <li class="flex"><i data-feather="phone" class="mr-2"></i><b> {{ $message->phone }} </b></li>
                                </ul>
                            </td>
                            <td class="border-b">
                                <div class="font-medium whitespace-no-wrap"> {{ $message->created_at }} </div>
                            </td>
                            <td class="border-b">
                                <div class="flex sm:justify-center items-center">
                                    <a class="flex items-center mr-3" href="{{ route('admin.message.show',$message) }}"> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> {{__('Show')}} </a>
                                    <a class="flex items-center text-theme-6" href="#" onclick="event.preventDefault();document.getElementById('delete-form-{{$message->id}}').submit();" > <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> {{__('Delete')}} </a>
                                    <form id="delete-form-{{$message->id}}" action="{{ route('admin.message.destroy', $message) }}" method="POST" class="d-none"> @csrf @method('DELETE') </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>

            {{ $messages->links() }}
        </div>
    </div>
</div>
@endsection
