@extends('admin.layouts.app')
@section('title', __('Settings') )

@section('content')
@if ($errors->any())
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if(session()->has('message'))
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-18 text-theme-9"> <i data-feather="alert-triangle" class="w-6 h-6 mr-2"></i> {{ session()->get('message') }} </div>
@endif

<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5 ">
        <form action="{{ route('admin.settings.update') }}" method="POST" enctype="multipart/form-data" >
            @csrf
            <div class="grid grid-cols-12 gap-6 mt-5">
                <div class="intro-y col-span-12 lg:col-span-6">
                    <div class="mb-3">
                        @if( @$data->logo )
                            <img src="{{$data->logo}}" alt="..." class="box mb-3" id="logo" style="max-height: 100px" />
                        @endif
                        <label> {{ __("Logo") }} </label>
                        <input type="file" name="logo" id="inputLogo" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Name") }} </label>
                        <input type="text" name="name" value="{{ old('name') ?? @$data->name }}" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> {{ __("Address") }} </label>
                        <input type="text" name="address" value="{{ old('address') ?? @$data->address }}" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> {{ __("Footer") }} </label>
                        <textarea name="footer" class="input w-full border mt-2" rows="4">{{ old('footer') ?? @$data->footer }}</textarea>
                    </div>


                    <div class="mb-3">
                        <label> {{ __("Head Script") }} </label>
                        <input type="text" name="head_script" value="{{ old('head_script') ?? @$data->head_script }}" class="input w-full border mt-2" >
                    </div>

                    <div class="mb-3">
                        <label> {{ __("Body Script") }} </label>
                        <input type="text" name="body_script" value="{{ old('body_script') ?? @$data->body_script }}" class="input w-full border mt-2" >
                    </div>

                </div>

                <div class="intro-y col-span-12 lg:col-span-6">
                    <div class="mb-3">
                        <label> {{ __("Whatsapp") }} </label>
                        <input type="text" name="whatsapp" value="{{ old('whatsapp') ?? @$data->whatsapp }}" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Phone first") }} </label>
                        <input type="text" name="phone_first" value="{{ old('phone_first') ?? @$data->phone_first }}" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Phone second") }} </label>
                        <input type="text" name="phone_second" value="{{ old('phone_second') ?? @$data->phone_second }}" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> {{ __("Email") }} </label>
                        <input type="text" name="emails" value="{{ old('emails') ?? @$data->emails }}" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> {{ __("Page facebook") }} </label>
                        <input type="text" name="facebook" value="{{ old('facebook') ?? @$data->facebook }}" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Page instagram") }} </label>
                        <input type="text" name="instagram" value="{{ old('instagram') ?? @$data->instagram }}" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Page linkedin") }} </label>
                        <input type="text" name="linkedin" value="{{ old('linkedin') ?? @$data->linkedin }}" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> {{ __("Page youtube") }} </label>
                        <input type="text" name="youtube" value="{{ old('youtube') ?? @$data->youtube }}" class="input w-full border mt-2" >
                    </div>

                    <div class="mb-3">
                        <label> {{ __("Page twitter") }} </label>
                        <input type="text" name="twitter" value="{{ old('twitter') ?? @$data->twitter }}" class="input w-full border mt-2" >
                    </div>
                </div>
            </div>

            <button type="submit" class="button bg-theme-1 text-white mt-5"> {{ __('Save') }} </button>
        </form>
    </div>
</div>
@endsection
