@extends('admin.layouts.app')
@section('title', __('Users') )

@section('content')

@if ($errors->any())
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5 ">
        <form action="{{ route('admin.user.update',$user) }}" method="POST">
            @csrf
            @method('PUT')

            <div class="mb-3">
                <strong> {{ __("Created.") }} </strong>
                {{ $user->created_at }}
            </div>

            <div class="mb-3">
                <label> {{ __("Full name") }} </label>
                <input type="text" name="name" value="{{ old('name') ?? $user->name }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> {{ __("Phone") }} </label>
                <input type="text" name="phone" value="{{ old('phone') ?? $user->phone }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> {{ __("E-Mail Address") }} </label>
                <input type="email" name="email" value="{{ old('email') ?? $user->email }}" class="input w-full border mt-2" >
            </div>

            <div class="mb-3">
                <label> {{ __("Password") }} </label>
                <input type="password" name="password" class="input w-full border mt-2">
            </div>

            <div class="w-full sm:w-auto flex items-center sm:ml-auto mt-3 sm:mt-0">
                <div class="mr-3"> {{ __("Action Status") }} </div>
                <input class="show-code input input--switch border" name="status" type="checkbox" {{ $user->status == 'ENABLE' ? 'checked' : null  }}>
            </div>

            <button type="submit" class="button bg-theme-1 text-white mt-5"> {{ __('Save') }} </button>
        </form>
    </div>
</div>
@endsection
