@extends('admin.layouts.app')
@section('title', __('Users') )

@section('content')

@if ($errors->any())
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

@if(session()->has('message'))
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-18 text-theme-9"> <i data-feather="alert-triangle" class="w-6 h-6 mr-2"></i> {{ session()->get('message') }} </div>
@endif

<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5">
        <a href="{{ route('admin.user.create') }}" class="button w-32 mr-2 mb-2 flex items-center justify-center bg-theme-1 text-white"> <i data-feather="plus" class="w-4 h-4 mr-2"></i> {{ __("Add") }} </a>
        <div class="overflow-x-auto">
            {{--
            <form action="{{ route('admin.user.generate-key') }}" method="POST">
                @csrf
                <button type="submit" class="button w-32 mr-2 mb-2 flex items-center justify-center bg-theme-1 text-white" > Generate Key to user</button>
            </form>
            --}}
            <table class="table mb-2 mt-4 ">
                <thead>
                    <tr class="bg-gray-100 rounded">
                        <th class="border-b-2 whitespace-no-wrap w-10" > {{ __('Uniquecode') }} </th>
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('Full name') }} </th>
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('E-Mail Address') }} </th>
                        <th class="border-b-2 whitespace-no-wrap"> {{ __('Phone') }} </th>
                        <th class="border-b-2 whitespace-no-wrap text-center" width="15%"> {{ __('Action') }} </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($users as $user)
                        <tr class=" {{ $user->status == 'DISABLE' ? 'bg-red-100' : null }} hover:bg-gray-200">
                            <td class="border-b">
                                <div class="font-medium whitespace-no-wrap"> {{ $user->uniquecode }} </div>
                            </td>
                            <td class="border-b">
                                <div class="font-medium whitespace-no-wrap"> {{ $user->name }} </div>
                            </td>
                            <td class="border-b">
                                {{ $user->email }}
                            </td>
                            <td class="border-b">
                                {{ $user->phone }}
                            </td>
                            <td class="border-b">
                                <div class="flex sm:justify-center items-center">
                                    {{--
                                    <a class="flex items-center mr-3" href="{{ route('admin.user.edit',$user) }}"> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> {{__('Edit')}} </a>
                                    --}}
                                    <a class="flex items-center mr-3" href="#" onclick="event.preventDefault();document.getElementById('verify-form-{{$user->id}}').submit();"> <i data-feather="check-square" class="w-4 h-4 mr-1"></i> {{__('Resend verification')}} </a>
                                    <form id="verify-form-{{$user->id}}" action="{{ route('admin.user.resend-verification',$user) }}" method="POST" class="d-none"> @csrf </form>
                                    {{--
                                    <a class="flex items-center text-theme-6" href="#" onclick="event.preventDefault();document.getElementById('delete-form-{{$user->id}}').submit();" > <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> {{__('Delete')}} </a>
                                    <form id="delete-form-{{$user->id}}" action="{{ route('admin.user.destroy', $user) }}" method="POST" class="d-none"> @csrf @method('DELETE') </form>
                                    --}}
                                </div>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>

            {{ $users->links() }}
        </div>
    </div>
</div>
@endsection

@section('javascript')
    <script>

    </script>
@endsection
