@extends('frontend.layouts.app')

@section('metatags')
<meta name="description"
content="We are specialized in sending flexible, service-oriented catering employees with an emphasis on
                        hospitality!" />
<meta name="keywords"
content="" />
<meta name="copyright" content="Consulting Masters Africa" />
<meta name="url" content="/category/{{$category->name}}" />
<meta name="identifier-URL" content="/category/{{$category->name}}" />

<meta itemprop="image" content="/assets/images/meta.jpg" />
<meta property="og:image" itemprop="image/*" content="/assets/images/meta.jpg" />
<meta property="og:image:width" content="256" />
<meta property="og:image:height" content="256" />
<meta property="og:site_name" content="Consulting Masters Africa" />

@endsection
@section('title', $category->name )

@section('content')

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="fronty--breadcrumb--area "
            style="background-image: linear-gradient(to left, rgba(255, 74, 104, 0.8) , rgba(6, 17, 52, 0.6)   ), url('/assets/images/bg--0001.jpg')">
                <div class="fronty--breadcrumb--area--content">
                    <div class="head">
                        <h2>
                            <span>{{$category->name }}</span>
                        </h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
  </div>


  

   
    @if(count($posts) !=0 )
    <section class="">
      <div class="container">
          <div class="row g-4">
              <div class="col-md-12 col-lg-9">
                @if($category->posts->count() > 0)
               
                      <div class="blog--grid">
                        @foreach ($category->posts as $post)
                        <div class="news__area--item">
                            <figure
                                style="background-image: linear-gradient(to top, rgb(11, 18, 25) 10%, rgba(11, 18, 25, .01)   ),url('{{ asset('/storage/app/public/posts/' . $post->image) }}')">
                            </figure>
                            <div class="category">
                                @foreach($post->categories as $category)
                                    <a style="text-decoration: none" href="{{ url('category',$category->slug) }}"  class="icon-link mr-3">
                                        {{ $category->name }}
                                    </a>
                                @endforeach
                            </div>
                            <div class="content">
                                <a href="{{ route('showBlog', [$post->slug]) }}" class="title">
                                    <h3>{{ $post->title }}</h3>
                                </a>
                                <div class="date">{{ $post->created_at->toFormattedDateString() }}</div>
                            </div>
  
                        </div>
                          @endforeach
                      </div>
                  @endif
              </div>
              <div class="col-md-12 col-lg-3">
                  @include('frontend/pages/blog/list-categories')
              </div>
          </div>

      </div>
  </section>
  @else
  <section class="blog--area section p-top-20 p-bottom-40">
    <div class="container">
      <div class="row">
        <p>No Post :(</p>
      </div>
    </div>
  </section>
  @endif


  



@endsection

@section('scripts')

@endsection

