@extends('frontend.layouts.app')

@section('metatags')
    <meta name="description"
        content="{{ $post->meta_description !== null ? $post->meta_description : htmlspecialchars(trim(substr(strip_tags($post->description), 0, 150))) }}" />
    <meta name="keywords" content="{{ $post->meta_keywords !== null ? $post->meta_keywords : 'Space, Casablanca' }}" />
    <meta name="copyright" content="Consulting Masters Africa">
    <meta name="url" content="{{ route('showBlog', [$post->slug]) }}">
    <meta name="identifier-URL" content="{{ route('showBlog', [$post->slug]) }}">

    <meta itemprop="image" content="{{ asset('/storage/app/public/posts/' . $post->image) }}" />
    <meta property="og:image" itemprop="image/*" content="{{ asset('/storage/app/public/posts/' . $post->image) }}" />
    <meta property="og:image:width" content="256" />
    <meta property="og:image:height" content="256" />
    <meta property="og:site_name" content="Consulting Masters Africa" />

@endsection
@section('title', $post->meta_title !== null ? $post->meta_title : $post->title)


@section('content')

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="fronty--breadcrumb--area "
                    style="background-image: linear-gradient(to left, rgba(255, 74, 104, 0.8) , rgba(6, 17, 52, 0.6)   ), url('/assets/images/bg--0001.jpg')">
                    <div class="fronty--breadcrumb--area--content">
                        <div class="head">
                            <h2>
                                <span>{{ $post->title }}</span>
                            </h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <section class="news__area section--40">
        <div class="container">
            <div class="row g-4">
                <div class="col-md-12 col-lg-9 mb-4">
                    <div class="news__area--head  mb-4">
                        <img src="{{ asset('/storage/app/public/posts/' . $post->image) }}" class="" alt="" />

                        <div class="row align-items-center mb-4">
                            <div class="col-lg-6 text-center text-lg-start mb-3 m-lg-0">
                                <span> Publié le <u>{{ $post->created_at->toFormattedDateString() }}</u></span>

                            </div>

                            <div class="col-lg-6 text-center text-lg-end">
                                <div class="category">
                                    @foreach ($post->categories as $category)
                                        <a href="{{ url('category', $category->slug) }}">{{ $category->name }}</a>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="news__area--body">
                        <h3 class="news__area--body--title p-bottom-10">
                            {{ $post->title }}
                        </h3>


                        <div class="t--paragraph--1 p-top-20 p-bottom-20">
                            {!! $post->description !!}
                        </div>


                        {{-- @if (count($post->tags) !== 0)
                        <div class="blog--area--body--tags">
                            <h5>Tags</h5>
                            @foreach ($post->tags as $tag)
                                <a href="{{ url('tag',$tag->slug) }}" class="text-primary">{{ $tag->name }}</a>
                            @endforeach
                        </div>
                        @endif  --}}

                    </div>



                    <div class="news__area--nextPrev">
                        @if (isset($post->previous))
                            <div class="item">
                                <a class="a"
                                    href="{{ route('showBlog', [$post->previous->id, $post->previous->slug]) }}">
                                    <span class="fa fa-arrow-left"></span>
                                    <p>
                                        {{ $post->previous->title }}
                                    </p>

                                </a>
                            </div>
                        @endif
                        @if (isset($post->next))
                            <div class="item">
                                <a class="a " href="{{ route('showBlog', [$post->next->id, $post->next->slug]) }}">
                                    <span class="fa fa-arrow-right"></span>
                                    <p>
                                        {{ $post->next->title }}

                                    </p>
                                </a>

                            </div>
                        @endif
                    </div>

                </div>

                <div class="col-md-12 col-lg-3 mb-4">
                    @include('frontend/pages/blog/list-categories')
                </div>
            </div>
        </div>
    </section>





@endsection

@section('scripts')

@endsection
