@extends('frontend.layouts.app')

@section('title', 'We look forward To communicate with you')

@section('metatags')
<meta name="description"
content="We are specialized in sending flexible, service-oriented catering employees with an emphasis on
                        hospitality!" />
<meta name="keywords"
content="" />
<meta name="copyright" content="Consulting Masters Africa" />
<meta name="url" content="/contact" />
<meta name="identifier-URL" content="/contact" />

<meta itemprop="image" content="/assets/images/meta.jpg" />
<meta property="og:image" itemprop="image/*" content="/assets/images/meta.jpg" />
<meta property="og:image:width" content="256" />
<meta property="og:image:height" content="256" />
<meta property="og:site_name" content="Consulting Masters Africa" />

@endsection

@section('content')


<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="fronty--breadcrumb--area "
                style="background-image: linear-gradient(to left, rgba(255, 74, 104, 0.8) , rgba(6, 17, 52, 0.6)   ), url('/assets/images/bg--0001.jpg')">
                <div class="fronty--breadcrumb--area--content">
                    <div class="head">
                        <h1>
                            <span>Contact us</span>
                        </h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



    <section class="m-bottom-40">
        <div class="container">
            <div class="row">
                @if ($errors->any() || session()->has('error') || session()->has('message'))
                    <div class="col-md-12 p-bottom-20">
                        @if ($errors->any())
                            <div class="custom--alert--danger">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 29.25 29.25">
                                    <path
                                        d="M18,3.375A14.625,14.625,0,1,0,32.625,18,14.623,14.623,0,0,0,18,3.375Zm7.488,10.582-9.4,9.443H16.08a1.27,1.27,0,0,1-.816.387,1.231,1.231,0,0,1-.823-.4L10.5,19.448a.28.28,0,0,1,0-.4L11.756,17.8a.272.272,0,0,1,.394,0l3.122,3.122,8.578-8.641a.278.278,0,0,1,.2-.084h0a.255.255,0,0,1,.2.084l1.23,1.273A.277.277,0,0,1,25.488,13.957Z"
                                        transform="translate(-3.375 -3.375)" fill="#00b166" />
                                </svg>
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        @if (session()->has('error'))
                            <div class="custom--alert--danger">
                                <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30">
                                    <path
                                        d="M18,3A15,15,0,1,0,33,18,15.005,15.005,0,0,0,18,3Zm1.5,22.5h-3v-3h3Zm0-6h-3v-9h3Z"
                                        transform="translate(-3 -3)" fill="#ea4646" />
                                </svg>
                                <div>
                                    {{ session()->get('error') }}
                                </div>
                            </div>
                        @endif

                        @if (session()->has('message'))
                            <div class="custom--alert--success">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 29.25 29.25">
                                    <path
                                        d="M18,3.375A14.625,14.625,0,1,0,32.625,18,14.623,14.623,0,0,0,18,3.375Zm7.488,10.582-9.4,9.443H16.08a1.27,1.27,0,0,1-.816.387,1.231,1.231,0,0,1-.823-.4L10.5,19.448a.28.28,0,0,1,0-.4L11.756,17.8a.272.272,0,0,1,.394,0l3.122,3.122,8.578-8.641a.278.278,0,0,1,.2-.084h0a.255.255,0,0,1,.2.084l1.23,1.273A.277.277,0,0,1,25.488,13.957Z"
                                        transform="translate(-3.375 -3.375)" fill="#00b166" />
                                </svg>
                                <div>
                                    {{ session()->get('message') }}
                                </div>
                            </div>
                        @endif
                    </div>
                @endif
            </div>


            <div class="row">
                <div class=" col-md-12 col-lg-8">
                    <div class="contact__area">
                        <h3 class="subheading--2 m-bottom-24">
                            Do you have any questions ? <br />
                            Do not hesitate to contact us, we look forward To communicate with you.
                        </h3>

                        <form id="contact-form" action="{{ route('messageContact') }}" method="post"
                            class="form--area text-center">
                            @csrf

                            <div class="item--group">
                                <input type="text" name="name" id="form-name" placeholder="Fullname" required>
                            </div>

                            <div class="item--group">
                                <input type="email" name="email" id="form-email" placeholder="Email">
                            </div>

                            <div class="item--group">
                                <input type="text" name="phone" id="form-phone" placeholder="Phone">
                            </div>

                            <div class="item--group">
                                <input type="text" name="subject" id="form-subject" placeholder="Suject">
                            </div>

                            <div class="item--group">
                                <textarea name="body" id="form-body" cols="10" rows="4" placeholder="Message"></textarea>
                            </div>


                            <button class="fronty--btn primary btn--full">Submit</button>



                        </form>
                    </div>


                </div>
                <div class=" col-md-12 col-lg-4 order-first order-lg-2 ">
                    <div class="contact--infos sticky-top">
                        <div class="item">
                            <img src="/assets/images/call--icon.svg" alt="">
                            <div class="content">
                                <span>Call us</span>
                                <a href="tel:{{ $settings ? $settings->phone_first : '' }}">
                                    {{ $settings ? $settings->phone_first : '' }}
                                </a>
                            </div>
                        </div>
                        @if( $settings)
                        <div class="item">
                            <img src="/assets/images/call--icon.svg" alt="">
                            <div class="content">
                                <span>Call us</span>
                                <a href="tel:{{ $settings ? $settings->phone_second : '' }}">
                                    {{ $settings ? $settings->phone_second : '' }}
                                </a>
                            </div>
                        </div>
                        @endif

                        @if( $settings)
                        <div class="item">
                            <img src="/assets/images/call--icon.svg" alt="">
                            <div class="content">
                                <span>Whatsapp</span>
                                <a href="tel:{{ $settings ? $settings->whatsapp : '' }}">
                                    {{ $settings ? $settings->whatsapp : '' }}
                                </a>
                            </div>
                        </div>
                        @endif

                        <div class="item">
                            <img src="/assets/images/mail--icon.svg" alt="">
                            <div class="content">
                                <span>E-Mail</span>
                                <a href="mailto:{{ $settings ? $settings->emails : '' }}">
                                    {{ $settings ? $settings->emails : '' }}
                                </a>
                                <a href="mailto:hajar@consultingmastersafrica.com">
                                    hajar@consultingmastersafrica.com
                                </a>
                            </div>
                        </div>

                        <div class="item">
                            <img src="/assets/images/map--icon.svg" alt="">
                            <div class="content">
                                <span>Address</span>
                                <a href="#">
                                    {{ $settings ? $settings->address : '' }}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section>


@endsection

@section('scripts')



@endsection
