@extends('frontend.layouts.app')

@section('title', $formation->title)

@section('metatags')

<meta name="description" content="{{htmlspecialchars(trim(substr(strip_tags($formation->body),0, 150)))}}" />
<meta name="keywords" content="{{'formation, allemande, Academie'}}" />
<meta name="copyright" content="CMA EXPERTS">
<meta name="url" content="{{route('showFormation',[$formation->slug])}}">
<meta name="identifier-URL" content="{{route('showFormation',[$formation->slug])}}">

<meta itemprop="image" content="{{asset('/storage/app/public/posts/'.$formation->image)}}" />
<meta property="og:image" itemprop="image/*" content="{{asset('/storage/app/public/formations/'.$formation->image)}}" />
<meta property="og:image:width" content="256" />
<meta property="og:image:height" content="256" />
<meta property="og:site_name" content="CMA EXPERTS" />


@endsection

@section('content')

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="fronty--breadcrumb--area "
                    style="background-image: linear-gradient(to left, rgba(255, 74, 104, 0.8) , rgba(6, 17, 52, 0.6)   ), url('/assets/images/bg--0001.jpg')">
                    <div class="fronty--breadcrumb--area--content">
                        <div class="head">
                            <h1>
                                <span>{{$formation->title}}</span>
                            </h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="row__area">
      <div class="container">
        <div class="row g-4">
          <div class="col-lg-6">
            <div class="head">
              <h3>{{$formation->title}}</h3>
            </div>
            <div class="t--paragraph--1">
              {!! $formation->body !!}
            </div>
          </div>
          <div class="col-lg-6 ">
            <div class="sticky-top">
              <div class="image__shape ">
                <img src="{{asset('/storage/app/public/formations/'.$formation->image)}}" alt="">
              </div>
            </div>
            
          </div>
        </div>
      </div>
    </section>


    @include('frontend/partials/sections/formations')

    @include('frontend/partials/sections/bg')
    @include('frontend/partials/sections/features')
    {{-- @include('frontend/partials/sections/partners') --}}


@endsection

@section('scripts')




@endsection

