@extends('frontend.layouts.app')

@section('title', 'Home')

@section('metatags')
<meta name="description"
content="We are specialized in sending flexible, service-oriented catering employees with an emphasis on
                        hospitality!" />
<meta name="keywords"
content="" />
<meta name="copyright" content="Consulting Masters Africa" />
<meta name="url" content="/" />
<meta name="identifier-URL" content="/" />

<meta itemprop="image" content="/assets/images/meta.jpg" />
<meta property="og:image" itemprop="image/*" content="/assets/images/meta.jpg" />
<meta property="og:image:width" content="256" />
<meta property="og:image:height" content="256" />
<meta property="og:site_name" content="Consulting Masters Africa" />


@endsection

@section('content')


    @include('frontend/partials/sections/hero')
    @include('frontend/partials/sections/services')
    @include('frontend/partials/sections/formations')
    @include('frontend/partials/sections/features')
    @include('frontend/partials/sections/partners')
    @include('frontend/partials/sections/bg')
    @include('frontend/partials/sections/news')
    @include('frontend/partials/sections/instagram')
    
    {{-- @include('frontend/partials/sections/about')
    @include('frontend/partials/sections/services--grid')
    @include('frontend/partials/sections/packs')
    @include('frontend/partials/sections/news')
    @include('frontend/partials/sections/partners') --}}

    {{-- @include('frontend/partials/sections/discover') --}}
{{-- 
   <div style="background: black; padding: 16px">
    <br />

    <button type="submit" class="custom--button button--frontynova bg-primary button--round-s button--text-medium">
        Demander un devis
    </button>
    <br />

    <button type="submit" class="custom--button button--frontynova bg-secondry button--round-s button--text-medium">
        Demander un devis
    </button>
    <br />
    <button type="submit" class="custom--button button--frontynova bg-white button--round-s button--text-medium">
        Demander un devis
    </button>
</div> --}}

    {{-- @include('frontend/partials/sections/pub')
    @include('frontend/partials/sections/products')
    @include('frontend/partials/sections/features')
    @include('frontend/partials/sections/subscribe') --}}




@endsection

@section('scripts')


    <script>
        $('#email-error1').css("display", "none");
        $('#success-message1').css("display", "none");
        $('#contact_us').on('submit', function(e) {
            e.preventDefault();

            let email = $('#email').val();
            $.ajax({
                url: "{{ url('subscribe') }}",
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                    email: email,
                },
                success: function(response) {
                    if (response) {
                        $('#email-error1').css("display", "none");
                        $('#success-message1').css("display", "block");
                        $('#success-message1').text(response.success);
                        $('#contact_us')[0].reset();
                    }
                    console.log(response);
                    // if (response) {
                    //   $('#success-message').text(response.success); 
                    //   $("#contactForm")[0].reset(); 
                    // }
                },
                error: function(response) {
                    $('#email-error1').css("display", "block");
                    $('#email-error1').text(response.responseJSON.errors.email);
                }
            });
        });



        $('#phone-error2').css("display", "none");
        $('#success-message2').css("display", "none");
        $('#quote_number').on('submit', function(e) {
            e.preventDefault();

            let phone = $('#phone').val();
            let category = $('#category:checked').val();
            $.ajax({
                url: "/free-quote",
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                    phone: phone,
                    category: category,
                },
                success: function(response) {
                    if (response) {
                        $('#phone-error2').css("display", "none");
                        $('#success-message2').css("display", "block");
                        $('#success-message2').text(response.success);
                        $('#quote_number')[0].reset();
                    }
                    console.log(response);
                    // if (response) {
                    //   $('#success-message').text(response.success); 
                    //   $("#contactForm")[0].reset(); 
                    // }
                },
                error: function(response) {
                    $('#success-message2').css("display", "none");
                    $('#phone-error2').css("display", "block");
                    $('#phone-error2').text(response.responseJSON.errors.phone);
                    $('#phone-error2').text(response.responseJSON.errors.category);
                }
            });
        });


        
    </script>

@endsection
