@extends('frontend.layouts.app')

@section('title', $service->title)

@section('metatags')

    <meta name="description" content="{{ htmlspecialchars(trim(substr(strip_tags($service->body), 0, 150))) }}" />
    <meta name="keywords" content="{{ 'formation, allemande, Academie' }}" />
    <meta name="copyright" content="CMA EXPERTS">
    <meta name="url" content="{{ route('showFormation', [$service->slug]) }}">
    <meta name="identifier-URL" content="{{ route('showFormation', [$service->slug]) }}">

    <meta itemprop="image" content="{{ asset('/storage/app/public/services/' . $service->image) }}" />
    <meta property="og:image" itemprop="image/*" content="{{ asset('/storage/app/public/services/' . $service->image) }}" />
    <meta property="og:image:width" content="256" />
    <meta property="og:image:height" content="256" />
    <meta property="og:site_name" content="CMA EXPERTS" />


@endsection

@section('content')

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="fronty--breadcrumb--area "
                    style="background-image: linear-gradient(to left, rgba(255, 74, 104, 0.8) , rgba(6, 17, 52, 0.6)   ), url('{{ asset('/storage/app/public/services/' . $service->image) }}')">
                    <div class="fronty--breadcrumb--area--content">
                        <div class="head">
                            <h1>
                                <span>{{ $service->title }}</span>
                            </h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="row__area">
        <div class="container">
            <div class="row g-4">
                <div class="col-lg-6">
                    <div class="head">
                        <h3>{{ $service->title }}</h3>
                    </div>
                    <div class="t--paragraph--1">
                        {!! $service->body !!}
                    </div>
                </div>
                <div class="col-lg-6 ">
                    <div class="sticky-top">
                        {{-- @php
                            $gallery = old('gallery') ? \App\Models\Image::whereIn('id', $ids)->get() : $service->gallery;
                        @endphp
                        @if (count($gallery))
                            <div class="swiper one--swiper swipper--pagination">
                                <div class="swiper-wrapper">
                                    @foreach ($gallery as $image)
                                        <div class="swiper-slide">
                                            <div class="image__shape ">
                                                <img src="{{ $image->pathImage }}" alt="{{ $service->title }}">
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                <div class="slider__controls">
                                    <div class="slider__pagination"></div>
                                </div>
                            </div>
                        @else --}}
                            <div class="image__shape ">
                                <img src="{{ asset('/storage/app/public/services/' . $service->image) }}" alt="">
                            </div>
                        {{-- @endif --}}
                    </div>

                </div>
            </div>
        </div>
    </section>

    @include('frontend/partials/sections/bg')

    @include('frontend/partials/sections/services')
    @include('frontend/partials/sections/features')
    {{-- @include('frontend/partials/sections/partners') --}}


@endsection

@section('scripts')




@endsection
