<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers;
use App\Http\Controllers\Admin;


Route::get('/clear', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cache is cleared";
});
Route::get('/storage-link', function() {
    Artisan::call('storage:link');
    return "Storage is Linked";
});


\Auth::routes(['verify'=>true,'register'=>false,'login'=>false]);


Route::get('/', function () {
    return view('frontend.pages.index');
})->name('home');

Route::get('/about-us', function () {
    return view('frontend.pages.about');
})->name('about-us');

Route::get('/training-department', function () {
    return view('frontend.pages.formations.index');
})->name('training-department');
Route::get('/training-department/{slug}',[ Controllers\HomeController::class , 'showFormation'])->name('showFormation');


Route::get('/our-services', function () {
    return view('frontend.pages.services.index');
})->name('our-services');
Route::get('/our-services/{slug}',[ Controllers\HomeController::class , 'showService'])->name('showService');

// Route::get('/about-us',[ Controllers\HomeController::class , 'about'])->name('about');


Route::get('/contact', function () {
    return view('frontend.pages.contact');
})->name('contact');
// Route::get('/contact'          ,[ Controllers\HomeController::class , 'index'])->name('contact');
Route::post('/contact'          ,[ Controllers\HomeController::class , 'messageContact'])->name('messageContact');


Route::get('/blog',[ Controllers\BlogController::class , 'blog'])->name('blog');
Route::get('/category/{slug}',[ Controllers\BlogController::class , 'postByCategory'])->name('postByCategory');
Route::get('/search',[ Controllers\BlogController::class , 'search'])->name('search');
Route::get('/blog/{slug}',[ Controllers\BlogController::class , 'showBlog'])->name('showBlog');




// Route::group(['prefix' => '/panel/media'], function () {
//     Route::group(['middleware' => 'auth:admin'], function () { 
//         \UniSharp\LaravelFilemanager\Lfm::routes();
//     });
// });

// ADMIN ROOT
Route::group(['prefix' => '/panel', 'as'=> 'admin.'], function () {

    Route::get('/',function(){ return redirect()->route('admin.dashboard'); });
    // auth routes
    Route::get('/login'                  ,[ Admin\Auth\LoginController::class , 'showLoginForm'])->name('login');
    Route::post('/login'                 ,[ Admin\Auth\LoginController::class , 'login']        );
    Route::post('/logout'                ,[ Admin\Auth\LoginController::class , 'logout']       )->name('logout');

    Route::middleware(['auth:admin'])->group(function () {
        // dashboard show all statistiqs
        Route::get('/dashboard',         [Admin\DashboardController::class , 'index' ])->name('dashboard');
        
        Route::resource('/admin',         Admin\AdminController::class);

        // Settings
        Route::get('/settings',             [Admin\SettingsController::class , 'index' ])->name('settings')->middleware('admin_super');
        Route::post('/settings',            [Admin\SettingsController::class , 'index' ])->name('settings.update')->middleware('admin_super');

        // Banners
        Route::resource('/banner', Admin\BannerController::class);
        Route::get('banner/enable/{id}',[Admin\BannerController::class, 'enable'])->name('enable'); 
     

        // Messages
        Route::resource('/message',         Admin\MessageController::class              )->only(['index','show','destroy']);


        // Services
        Route::resource('services', Admin\ServiceController::class);
        Route::get('/services/enable/{id}',[Admin\ServiceController::class, 'enable']); 


        // Formations
        Route::resource('formations', Admin\FormationController::class);
        Route::get('/formations/enable/{id}',[Admin\FormationController::class, 'enable']); 
  

        Route::resource('partners', Admin\PartnersController::class);


        // Blog
        Route::resource('categoriePost',Admin\Blog\CategoryController::class);
        Route::resource('post', Admin\Blog\PostController::class);
        Route::get('pending/post', [Admin\Blog\PostController::class, 'pending'])->name('post.pending');
        Route::get('/post/{id}/approve', [Admin\Blog\PostController::class, 'approval'])->name('post.approve');
        Route::get('post/enable/{id}',[Admin\Blog\PostController::class, 'enable']); 
   

  
    });

});
