<!DOCTYPE html>

<html lang="fr">
    <!-- Head -->
    <head>
        <meta charset="utf-8">
        <link href="dist/images/logo.svg" rel="shortcut icon">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title> <?php echo e(config('app.name')); ?> - <?php echo e(__("Login")); ?> </title>
        <!-- CSS Assets-->
        <link rel="stylesheet" href="<?php echo e(asset('admin/dist/css/app.css')); ?>" />

    </head>
    <body class="login">
        <div class="container sm:px-10">
            <form method="POST" action="<?php echo e(route('admin.login')); ?>">
                <?php echo csrf_field(); ?>
            <div class="block xl:grid grid-cols-2 gap-4">
                <!-- Login Info -->
                <div class="hidden xl:flex flex-col min-h-screen">
                    <a href="#" class="-intro-x flex items-center pt-5">
                        <span class="text-white text-lg ml-3"> Immo101 </span>
                    </a>
                    <div class="my-auto">
                        <div class="-intro-x text-white font-medium text-4xl leading-tight mt-10">
                            Encore quelques clics pour
                            <br>
                            vous connecter à votre compte.
                        </div>
                    </div>
                </div>
                <!-- Login Form -->

                    <div class="h-screen xl:h-auto flex py-5 xl:py-0 my-10 xl:my-0">
                        <div class="my-auto mx-auto xl:ml-20 bg-white xl:bg-transparent px-5 sm:px-8 py-8 xl:p-0 rounded-md shadow-md xl:shadow-none w-full sm:w-3/4 lg:w-2/4 xl:w-auto">

                            <?php if($errors->any()): ?>
                                <div class="text-red-700">
                                    <ul>
                                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li> <strong> <?php echo e($error); ?> </strong> </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            <?php endif; ?>
                            <h2 class="intro-x font-bold text-2xl xl:text-3xl text-center xl:text-left">
                                <?php echo e(__('Login')); ?>

                            </h2>
                            <div class="intro-x mt-2 text-gray-500 xl:hidden text-center">Encore quelques clics pour vous connecter à votre compte.</div>
                            <div class="intro-x mt-8">
                                <input name="email" type="text" class="intro-x login__input input input--lg border border-gray-300 block <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border border-theme-6 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="<?php echo e(__('E-Mail Address')); ?>" name="email" value="<?php echo e(old('email')); ?>">
                                <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-red-700" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                <input name="password" type="password" class="intro-x login__input input input--lg border border-gray-300 block mt-4 <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border border-theme-6 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="<?php echo e(__('Password')); ?>" name="password" >

                                <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-red-700" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="intro-x flex text-gray-700 text-xs sm:text-sm mt-4">
                                <div class="flex items-center mr-auto">
                                    <input type="checkbox" class="input border mr-2" name="remember" id="remember-me" <?php echo e(old('remember') ? 'checked' : ''); ?>>
                                    <label class="cursor-pointer select-none" for="remember-me"><?php echo e(__('Remember Me')); ?></label>
                                </div>
                            </div>
                            <div class="intro-x mt-5 xl:mt-8 text-center xl:text-left">
                                <button type="submit" class="button button--lg w-full xl:w-32 text-white bg-theme-1 xl:mr-3"> <?php echo e(__('Login')); ?> </button>
                            </div>
                        </div>
                    </div>

            </div>
            </form>
        </div>
        <!-- JS Assets-->
        <script src="<?php echo e(asset('admin/dist/js/app.js')); ?>"></script>
    </body>
</html>

<?php /**PATH /home/customer/www/consultingmastersafrica.com/public_html/resources/views/admin/auth/login.blade.php ENDPATH**/ ?>