<?php $__env->startSection('title', __('admins')); ?>

<?php $__env->startSection('content'); ?>
<?php if($errors->any()): ?>
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if(session()->has('message')): ?>
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-18 text-theme-9"> <i data-feather="alert-triangle" class="w-6 h-6 mr-2"></i> <?php echo e(session()->get('message')); ?> </div>
<?php endif; ?>


    <div class="grid grid-cols-12 gap-6 mt-5">
        <div class="intro-y col-span-12 box p-5">
            <a href="<?php echo e(route('admin.banner.create')); ?>"
                class="button w-32 mr-2 mb-2 flex items-center justify-center bg-theme-1 text-white"> <i data-feather="plus"
                    class="w-4 h-4 mr-2"></i> <?php echo e(__('Add')); ?> </a>
            <div class="overflow-x-auto">
                <table class="table mb-2 mt-4 ">
                    <thead>
                        <tr class="bg-gray-100 rounded">
                            <th class="order-b-2 whitespace-no-wrap">#</th>
                            <th class="order-b-2 whitespace-no-wrap">Image</th>
                            <th class="order-b-2 whitespace-no-wrap">Title</th>
                            <th class="order-b-2 whitespace-no-wrap">SubTitle</th>
                            <th class="order-b-2 whitespace-no-wrap">link</th>
                            <th class="order-b-2 whitespace-no-wrap"><?php echo e(__('Action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="hover:bg-gray-200">
                                <th scope="row"><?php echo e($banner->id); ?></th>
                                <td class="border-b">
                                    <img src="<?php echo e(asset('/storage/app/public/banners/' . $banner->photo)); ?>" style="width:80px" />
                                </td>
                              
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">
                                        <?php echo e($banner->title); ?>

                                    </div>
                                </td>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">
                                        <?php echo e($banner->subtitle); ?>

                                    </div>
                                </td>
                                <td class="border-b">
                                    <div class="font-medium whitespace-no-wrap">
                                        <?php echo e($banner->link); ?>

                                    </div>
                                </td>

                                <td class="border-b">
                                    <div class="flex sm:justify-center items-center">
                                        <a class="flex items-center mr-3"
                                            href="<?php echo e(route('admin.banner.edit', $banner->id)); ?>"> <i
                                                data-feather="check-square" class="w-4 h-4 mr-1"></i> <?php echo e(__('Edit')); ?>

                                        </a>

                                        <a class="flex items-center text-theme-6" href="#" onclick="event.preventDefault();document.getElementById('delete-form-<?php echo e($banner->id); ?>').submit();" > <i data-feather="trash-2" class="w-4 h-4 mr-1"></i> <?php echo e(__('Delete')); ?> </a>
                                        <form id="delete-form-<?php echo e($banner->id); ?>" action="<?php echo e(route('admin.banner.destroy', $banner->id)); ?>" method="POST" class="d-none"> <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?> </form>

                                        
                                        
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>

                
            </div>
        </div>
    </div>




<?php $__env->stopSection(); ?>



<?php $__env->startSection('javascript'); ?>
    <script>
        function deleteSlider(id) {

            swal({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.value) {
                    document.getElementById('del-banner-' + id).submit();
                    swal(
                        'Deleted!',
                        'banner has been deleted.',
                        'success'
                    )
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/customer/www/consultingmastersafrica.com/public_html/resources/views/admin/pages/banner/index.blade.php ENDPATH**/ ?>