<?php $__env->startSection('title', __('Settings') ); ?>

<?php $__env->startSection('content'); ?>
<?php if($errors->any()): ?>
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-31 text-theme-6"> <i data-feather="alert-octagon" class="w-6 h-6 mr-2"></i>
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if(session()->has('message')): ?>
    <div class="rounded-md flex items-center px-5 py-4 mb-2 bg-theme-18 text-theme-9"> <i data-feather="alert-triangle" class="w-6 h-6 mr-2"></i> <?php echo e(session()->get('message')); ?> </div>
<?php endif; ?>

<div class="grid grid-cols-12 gap-6 mt-5">
    <div class="intro-y col-span-12 box p-5 ">
        <form action="<?php echo e(route('admin.settings.update')); ?>" method="POST" enctype="multipart/form-data" >
            <?php echo csrf_field(); ?>
            <div class="grid grid-cols-12 gap-6 mt-5">
                <div class="intro-y col-span-12 lg:col-span-6">
                    <div class="mb-3">
                        <?php if( @$data->logo ): ?>
                            <img src="<?php echo e($data->logo); ?>" alt="..." class="box mb-3" id="logo" style="max-height: 100px" />
                        <?php endif; ?>
                        <label> <?php echo e(__("Logo")); ?> </label>
                        <input type="file" name="logo" id="inputLogo" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Name")); ?> </label>
                        <input type="text" name="name" value="<?php echo e(old('name') ?? @$data->name); ?>" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> <?php echo e(__("Address")); ?> </label>
                        <input type="text" name="address" value="<?php echo e(old('address') ?? @$data->address); ?>" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> <?php echo e(__("Footer")); ?> </label>
                        <textarea name="footer" class="input w-full border mt-2" rows="4"><?php echo e(old('footer') ?? @$data->footer); ?></textarea>
                    </div>


                    <div class="mb-3">
                        <label> <?php echo e(__("Head Script")); ?> </label>
                        <input type="text" name="head_script" value="<?php echo e(old('head_script') ?? @$data->head_script); ?>" class="input w-full border mt-2" >
                    </div>

                    <div class="mb-3">
                        <label> <?php echo e(__("Body Script")); ?> </label>
                        <input type="text" name="body_script" value="<?php echo e(old('body_script') ?? @$data->body_script); ?>" class="input w-full border mt-2" >
                    </div>

                </div>

                <div class="intro-y col-span-12 lg:col-span-6">
                    <div class="mb-3">
                        <label> <?php echo e(__("Whatsapp")); ?> </label>
                        <input type="text" name="whatsapp" value="<?php echo e(old('whatsapp') ?? @$data->whatsapp); ?>" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Phone first")); ?> </label>
                        <input type="text" name="phone_first" value="<?php echo e(old('phone_first') ?? @$data->phone_first); ?>" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Phone second")); ?> </label>
                        <input type="text" name="phone_second" value="<?php echo e(old('phone_second') ?? @$data->phone_second); ?>" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> <?php echo e(__("Email")); ?> </label>
                        <input type="text" name="emails" value="<?php echo e(old('emails') ?? @$data->emails); ?>" class="input w-full border mt-2" >
                    </div>

                    <hr/>

                    <div class="mb-3">
                        <label> <?php echo e(__("Page facebook")); ?> </label>
                        <input type="text" name="facebook" value="<?php echo e(old('facebook') ?? @$data->facebook); ?>" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Page instagram")); ?> </label>
                        <input type="text" name="instagram" value="<?php echo e(old('instagram') ?? @$data->instagram); ?>" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Page linkedin")); ?> </label>
                        <input type="text" name="linkedin" value="<?php echo e(old('linkedin') ?? @$data->linkedin); ?>" class="input w-full border mt-2" >
                    </div>
                    <div class="mb-3">
                        <label> <?php echo e(__("Page youtube")); ?> </label>
                        <input type="text" name="youtube" value="<?php echo e(old('youtube') ?? @$data->youtube); ?>" class="input w-full border mt-2" >
                    </div>

                    <div class="mb-3">
                        <label> <?php echo e(__("Page twitter")); ?> </label>
                        <input type="text" name="twitter" value="<?php echo e(old('twitter') ?? @$data->twitter); ?>" class="input w-full border mt-2" >
                    </div>
                </div>
            </div>

            <button type="submit" class="button bg-theme-1 text-white mt-5"> <?php echo e(__('Save')); ?> </button>
        </form>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/customer/www/consultingmastersafrica.com/public_html/resources/views/admin/pages/settings.blade.php ENDPATH**/ ?>