<?php $__env->startSection('title', __('Admins')); ?>

<?php $__env->startSection('content'); ?>

 

    <form action="<?php echo e(route('admin.formations.update', $formation->id)); ?>" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
        <div class="grid grid-cols-12 gap-6 mt-5">
            <div class="intro-y col-span-8 box p-5 ">

                <div class="mb-3">
                    <label> Title </label>
                    <input type="text" name="title" value="<?php echo e($formation->title); ?>" required class="input w-full border mt-2">
                </div>


                <div class="mb-6 ">
                    <label> <?php echo e(__('Body')); ?> </label>
                    <textarea name="body" class="input textarea w-full border mt-2" rows="5"
                        id="mytextarea"><?php echo e($formation->body); ?></textarea>

                </div>


                <div class="mb-4">
                    <label> Sélectionner des images pour la galerie ( JPG / PNG ) </label>
                    <div class="">
                        <div class="my-2 p-3 ">
                            <input type="file" accept="image/*" multiple
                                id="drag-area"
                                class=" border border-4 rounded-3 <?php $__errorArgs = ['images'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> "
                                placeholder="Drag & Drop des images pour la galerie"
                                onchange="loadingImages(this)"
                                />
                            <div id="drag-area-loading"></div>
                            <div id="drag-area-preview" class="grid grid-cols-12 gap-6 my-2" >
                                
                            </div>
                            <div id="drag-area-error"   class="">
                                <?php $__errorArgs = ['image_default'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger text-light"> <?php echo e($message); ?> </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                <?php $__errorArgs = ['images'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger text-light"> <?php echo e($message); ?> </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <?php
        
                            if( $formation->gallery ){
                                foreach( $formation->gallery as $image ){
                                    $listIds[] = $image->id;
                                }
                            }
                            $gallery = @json_encode( $listIds ?? [] ) ;
                        ?>
                        <input type="hidden" name="gallery" id="event_gallery" value="<?php echo e(old('gallery') ?? $gallery); ?>" />
        
                    </div>
                </div>

            </div>
            <div class="intro-y col-span-4 box p-5 ">

                <div class="mt-6 mb-3">
                    <h4 class="font-bold">SEO META</h4>
                </div>
                <div class="mb-3">
                    <label>Meta Title </label>
                    <input type="text" name="meta_title" value="<?php echo e($formation->meta_title); ?>"  class="input w-full border mt-2">
                </div>
                <div class="mb-3">
                    <label>Meta Keywords </label>
                    <input type="text" name="meta_keywords" value="<?php echo e($formation->meta_keywords); ?>"  class="input w-full border mt-2">
                </div>
                <div class="mb-3">
                    <label>Meta Description </label>
                    <input type="text" name="meta_description" value="<?php echo e($formation->meta_description); ?>"  class="input w-full border mt-2">
                </div>
                
                <br />
                <div class="mb-4">
                    <label> GARD IMAGE ( JPG / PNG ) </label>
                    
                    <input type="file" name="image" id="profile-image-input" class="input w-full border mt-2"
                        accept="image/*">

                        <img src="<?php echo e(asset('/storage/app/public/formations/' . $formation->image)); ?>" id="profile-imgsrc"
                        class="img-responsive" style="height:200px;">
                </div>


                <div class="mb-4">
                    <label> Status </label>
                    <input type="checkbox" id="status" name="status"  <?php echo e($formation->status = true ? 'checked' : ''); ?>>
                </div>

                <button type="submit" class="button bg-theme-1 mt-10 text-white w-full	"> <?php echo e(__('Save')); ?> </button>
            </div>
        </div>

    </form>


<?php $__env->stopSection(); ?>


<?php $__env->startSection('javascript'); ?>

    
<script>
    $(function() {
        function showImage(fileInput, imgID) {
            if (fileInput.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $(imgID).attr('src', e.target.result);
                    $(imgID).attr('alt', fileInput.files[0].name);
                }
                reader.readAsDataURL(fileInput.files[0]);
            }
        }
        $('#profile-image-btn').on('click', function() {
            $('#profile-image-input').click();
        });
        $('#profile-image-input').on('change', function() {
            showImage(this, '#profile-imgsrc');

            var img = document.getElementById('profile-imgsrc');
            img.style.display = 'block';

        });
    })
</script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/customer/www/consultingmastersafrica.com/public_html/resources/views/admin/pages/formations/edit.blade.php ENDPATH**/ ?>